import { HomeOutlined } from '@ant-design/icons';
import { Tooltip } from 'antd';
import { history } from 'umi';
import styles from './index.less';

export const ActionHome = () => {
  return (
    <Tooltip title="首页">
      <span className={styles.operate}>
        <span
          style={{ display: 'flex', alignItems: 'center', padding: '0 10px' }}
          onClick={() => history.push(`/`)}
        >
          <HomeOutlined style={{ fontSize: 18 }} />
        </span>
      </span>
    </Tooltip>
  );
};
