import moment from 'moment';
import { useEffect, useState } from 'react';

export const ShowDateTime = () => {
  const format = 'YYYY-MM-DD HH:mm:ss';

  const [timer, setTimer] = useState(moment().format(format));

  useEffect(() => {
    const interval = setInterval(() => {
      setTimer(moment().format(format));
    }, 1000);
    return () => clearInterval(interval);
  }, []);

  return <span>{timer}</span>;
};
