import { getRequest, postRequest } from '@/utils/request';

export async function devicePageService(params: any) {
  return getRequest('/api/device/page', params);
}

export async function deviceListService(params: any) {
  return getRequest('/api/device/list', params);
}

export async function deviceAddService(params: any) {
  return postRequest('/api/device/create', params);
}

export async function deviceEditService(params: any) {
  return postRequest('/api/device/update', params);
}

export async function deviceRemoveService(params: any) {
  return postRequest('/api/device/delete', params);
}
