import { getRequest, postRequest } from '@/utils/request';

export async function tenantPageService(params: any) {
  return getRequest('/api/tenant/page', params);
}

export async function tenantListService(params: any) {
  return getRequest('/api/tenant/list', params);
}

export async function tenantAddService(params: any) {
  return postRequest('/api/tenant/create', params);
}

export async function tenantEditService(params: any) {
  return postRequest('/api/tenant/update', params);
}

export async function tenantRemoveService(params: any) {
  return postRequest('/api/tenant/delete', params);
}
