import { getRequest, postRequest } from '@/utils/request';

export async function batteryPageService(params: any) {
  return getRequest('/api/battery/page', params);
}

export async function batteryListService(params: any) {
  return getRequest('/api/battery/list', params);
}

export async function batteryAddService(params: any) {
  return postRequest('/api/battery/create', params);
}

export async function batteryEditService(params: any) {
  return postRequest('/api/battery/edit', params);
}

export async function batteryRemoveService(params: any) {
  return postRequest('/api/battery/delete', params);
}
