import { getRequest, postRequest } from '@/utils/request';

export async function customerPageService(params: any) {
  return getRequest('/api/customer/page', params);
}

export async function customerListService(params: any) {
  return getRequest('/api/customer/list', params);
}

export async function customerIdService(params: any) {
  return getRequest('/api/customer/id', params);
}

export async function customerAddService(params: any) {
  return postRequest('/api/customer/create', params);
}

export async function customerEditService(params: any) {
  return postRequest('/api/customer/update', params);
}

export async function customerRemoveService(params: any) {
  return postRequest('/api/customer/delete', params);
}

export async function customerUrgeService(params: any) {
  return postRequest('/api/customer/urge', params);
}
