import BasicMenu from '@/components/Basic/BasicMenu';
import { LockOutlined, UserOutlined } from '@ant-design/icons';
import Information from './Information';
import Security from './Security';

const Page = () => {
  const getMenus = () => {
    const menus: any[] = [];
    menus.push({
      key: 'information',
      label: '个人信息',
      icon: <UserOutlined style={{ fontSize: 16 }} />,
      component: <Information />,
    });
    menus.push({
      key: 'security',
      label: '安全设置',
      icon: <LockOutlined style={{ fontSize: 16 }} />,
      component: <Security />,
    });
    return menus;
  };

  return <BasicMenu menus={getMenus()} />;
};

export default Page;
