import { request } from 'umi';

export async function getRequest(url: string, params?: any) {
  return request(url, {
    method: 'GET',
    params,
    skipErrorHandler: true,
  });
}

export async function postRequest(url: string, params?: any) {
  return request(url, {
    method: 'POST',
    data: params,
    skipErrorHandler: true,
  });
}
