import { QuestionCircleOutlined } from '@ant-design/icons';
import { Tooltip } from 'antd';
import styles from './index.less';

export const ActionHelp = () => {
  return (
    <Tooltip title="帮助中心">
      <span className={styles.operate}>
        <span
          style={{ display: 'flex', alignItems: 'center', padding: '0 10px' }}
          onClick={() => window.open('https://www.yuque.com/goohier.top/kb')}
        >
          <QuestionCircleOutlined style={{ fontSize: 18 }} />
        </span>
      </span>
    </Tooltip>
  );
};
