import { Space } from 'antd';
import styles from './index.less';

export type ActionProps = {
  tools: React.ReactNode[];
};

const Action = ({ tools }: ActionProps) => {
  return (
    <div className={styles.action}>
      <Space>
        {tools.map((tool, index) => (
          // eslint-disable-next-line react/no-array-index-key
          <span key={index}>{tool}</span>
        ))}
      </Space>
    </div>
  );
};

export default Action;
