import { getRequest, postRequest } from '@/utils/request';

export async function stationPageService(params: any) {
  return getRequest('/api/station/page', params);
}

export async function stationListService(params: any) {
  return getRequest('/api/station/list', params);
}

export async function stationIdService(params: any) {
  return getRequest('/api/station/id', params);
}

export async function stationAddService(params: any) {
  return postRequest('/api/station/create', params);
}

export async function stationEditService(params: any) {
  return postRequest('/api/station/update', params);
}

export async function stationRemoveService(params: any) {
  return postRequest('/api/station/delete', params);
}
