import { getRequest, postRequest } from '@/utils/request';

export async function vehiclePageService(params: any) {
  return getRequest('/api/vehicle/page', params);
}

export async function vehicleListService(params: any) {
  return getRequest('/api/vehicle/list', params);
}

export async function vehicleAddService(params: any) {
  return postRequest('/api/vehicle/create', params);
}

export async function vehicleEditService(params: any) {
  return postRequest('/api/vehicle/update', params);
}

export async function vehicleRemoveService(params: any) {
  return postRequest('/api/vehicle/delete', params);
}
