import { getRequest, postRequest } from '@/utils/request';

export async function userPageService(params: any) {
  return getRequest('/api/user/page', params);
}

export async function userListService(params: any) {
  return getRequest('/api/user/list', params);
}

export async function userAddService(params: any) {
  return postRequest('/api/user/add', params);
}

export async function userEditService(params: any) {
  return postRequest('/api/user/update', params);
}

export async function userRemoveService(params: any) {
  return postRequest('/api/user/delete', params);
}
