import { getRequest, postRequest } from '@/utils/request';

export async function countService(path: string, params: any) {
  return getRequest(`/api${path}/count`, params);
}

export async function existService(path: string, params: any) {
  return getRequest(`/api${path}/exist`, params);
}

export async function oneService(path: string, params: any) {
  return getRequest(`/api${path}/one`, params);
}

export async function idService(path: string, params: any) {
  return getRequest(`/api${path}/id`, params);
}

export async function listService(path: string, params: any) {
  return getRequest(`/api${path}/list`, params);
}

export async function sortService(path: string, params: any) {
  return getRequest(`/api${path}/sort`, params);
}

export async function pageService(path: string, params: any) {
  return getRequest(`/api${path}/page`, params);
}

export async function createService(path: string, params: any) {
  return postRequest(`/api${path}/create`, params);
}

export async function updateService(path: string, params: any) {
  return postRequest(`/api${path}/update`, params);
}

export async function deleteService(path: string, params: any) {
  return postRequest(`/api${path}/delete`, params);
}
