const key = 'chd_token';

export function setToken(token: string) {
  localStorage.setItem(key, token);
}

export function removeToken() {
  localStorage.removeItem(key);
}

export function getToken() {
  return localStorage.getItem(key);
}

export function authorization() {
  const token = getToken();
  return token ? { Authorization: `Bearer ${token}` } : undefined;
}
